<?php 
class Rep_balance_model_hari extends CI_Model {
	
	function get_data($periode) {
		$q = $this->db->query("select a1.*, SUBSTRING(a1.no, 1, 2) as jenis_trans from (select a.tanggaltransaksi, a.besarnya, a.diserahkan, 
			a.diterima, a.tanggalinput, a.no, b.daftarlist 
			from trans_uang_keluar a, ref_list_uang_keluar b 
			where a.kodedesk = b.kodedesk 
			and a.kodesub = b.kodesub 
            and a.tanggaltransaksi = '".$periode."'
			
            UNION ALL
            
select a.tanggaltransaksi, a.besarnya, a.diserahkan, 
			a.diterima, a.tanggalinput, a.no, b.daftarlist 
			from trans_uang_masuk a, ref_list_uang_masuk b 
			where a.kodedesk = b.kodedesk 
			and a.kodesub = b.kodesub 
			and a.tanggaltransaksi = '".$periode."') a1 ORDER BY a1.tanggaltransaksi
		");
		return $q->result_array();
	}
	
}